import bpy, os

folder = "I:/catalunyaMetOrtoPru/demOrto/1/"
for f in os.listdir(folder):
     pathFiles = folder + f
     basename, ext = os.path.splitext(f)
     if pathFiles.find('_Dem.tif') >= 1:              
        bpy.ops.importgis.georaster(importMode = 'DEM_RAW',filepath = pathFiles,rastCRS = 'EPSG:3857')
        bpy.ops.tesselation.delaunay()
        objetos_escena = bpy.data.objects
        for objeto in objetos_escena:
            objeto.select = False
        for objeto in objetos_escena:        
            if objeto.name == basename:
                objeto.select = True
                bpy.ops.object.delete()
        for objeto in objetos_escena:   
            if objeto.name.startswith("TIN"):
                nameHighDem = basename + "High"
                objeto.name = nameHighDem
for f in os.listdir(folder):
     pathFiles = folder + f
     basename, ext = os.path.splitext(f)
     if pathFiles.find('_Dem.tif') >= 1:              
        bpy.ops.importgis.georaster(importMode = 'PLANE',filepath = pathFiles,rastCRS = 'EPSG:3857')
        objetos_escena = bpy.data.objects
        for objeto in objetos_escena:
            if objeto.name == basename:
               nameLowDem = basename + "Low"
               objeto.name = nameLowDem
objetos_escena = bpy.data.objects
for objeto in objetos_escena:
    objeto.select = False
    if objeto.name == nameHighDem:
        objeto.select = True        
    if objeto.name == nameLowDem:
        objeto.select = True